package com.bocloud.ims.common.config.installation;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * RackHD配置类
 *
 * @author 007
 */
@Component("rackHdConfig")
public class RackHdConfig {

    /**
     * RackHD ip,"192.168.2.88"
     */
    @Value("${rackhd.ip:localhost}")
    private String ip;

    /**
     * RackHD port,"9090"
     */
    @Value("${rackhd.port:9090}")
    private String port;

    /**
     * @return the ip
     */
    public String getIp() {
        return ip;
    }

    /**
     * @param ip the ip to set
     */
    public void setIp(String ip) {
        this.ip = ip;
    }

    /**
     * @return the port
     */
    public String getPort() {
        return port;
    }

    /**
     * @param port the port to set
     */
    public void setPort(String port) {
        this.port = port;
    }

}
